Last modified: 2012-10-04 09:53:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 31725 - Assamese transliteration scheme issues with 'Ra' and 'wa'
Assamese transliteration scheme issues with 'Ra' and 'wa'
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Narayam (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Santhosh Thottingal
: i18n
Depends on:
Blocks: 40760 32042
  Show dependency treegraph
 
Reported: 2011-10-15 13:44 UTC by Santhosh Thottingal
Modified: 2012-10-04 09:53 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Santhosh Thottingal 2011-10-15 13:44:02 UTC
(Message from Assamese wikimedians via Shiju Alex)

[...]
 It seems Assamese transliteration scheme added to translatewiki is meant for writing Bangla, not Assamese. "Ra" should have produced "ৰ"(assamese) but it produced "র"(bangla). Moreover I could not find keystroke for "ৱ" (pronounced 'wa') which is not there in Bangla. I also could not find out ৎ, ং and ৺(others can try). The help page redirected to a Oriya page was not of much help. So what should we do? 
[...]
Comment 1 Santhosh Thottingal 2011-10-17 05:38:25 UTC
r100013 fixed the Assamese ra issue.
Comment 2 Santhosh Thottingal 2011-10-17 11:56:23 UTC
r100024 changed the "ba" to ৱ as per how it is used in Assamese Inscript.
Comment 3 Santhosh Thottingal 2011-10-17 12:01:02 UTC
For ৎ, ং and ৺, we need inputs from the community.
Comment 4 wikichaipau 2011-10-17 17:36:45 UTC
(In reply to comment #2)
> r100024 changed the "ba" to ৱ as per how it is used in Assamese Inscript.

ৱ should be "wa"
ব should be "ba"
Comment 5 Santhosh Thottingal 2011-10-18 04:16:09 UTC
(In reply to comment #4)
> (In reply to comment #2)
> > r100024 changed the "ba" to ৱ as per how it is used in Assamese Inscript.
> 
> ৱ should be "wa"
> ব should be "ba"

r100108 fixed this.
Comment 6 Mark A. Hershberger 2011-10-18 12:52:07 UTC
It looks like you've fixed all the issues.  Can this be closed?
Comment 7 Santhosh Thottingal 2011-10-18 13:07:20 UTC
(In reply to comment #6)
> It looks like you've fixed all the issues.  Can this be closed?

No, one more thing pending. As I mentioned in comment 3,  for ৎ, ং and ৺, we need inputs from the community. I am not sure what keys need to be mapped to them. I am yet to see any documents or Assamese transliteration implementation.

wikichaipau, can you please help?
Comment 8 Gitartha Bordoloi 2011-10-18 20:24:02 UTC
Hello. Perhaps there are more issues. I also could not find "হ","য়","ড়" and "ঢ়". Are they mapped? "h+a" should be হ (instead of স as of now), Ya=য়, D_=ড়, Dh_=ঢ় (as in microsoft indic input). You can also asign "X" for "ক্ষ" as it's not considered a conjunct but an independent letter in Assamese. You can assign "^" for ং , "t~" for ত্‍ and "M" for ৺ . Thanks for your help.
Comment 9 wikichaipau 2011-10-18 20:30:19 UTC
i just looked at the map (http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/Narayam/js/ext.narayam.rules.as.js?view=markup&pathrev=100108).  there are a number of ways we can improve it.  "x" and "X" are not used at all (whereas there are not enough "x"'s to go around for assamese). the assamese wikipedia community would probably like to look the table more closely and work out a scheme that is more acceptable.
Comment 10 Santhosh Thottingal 2011-10-19 10:00:10 UTC


(In reply to comment #8)
> Hello. Perhaps there are more issues. I also could not find "হ","য়","ড়" and
> "ঢ়". Are they mapped? "h+a" should be হ (instead of স as of now), Ya=য়, D_=ড়,
> Dh_=ঢ় (as in microsoft indic input). You can also asign "X" for "ক্ষ" as it's
> not considered a conjunct but an independent letter in Assamese. You can assign
> "^" for ং , "t~" for ত্‍ and "M" for ৺ . Thanks for your help.

In r100215 , Following changes are done

ha = হ 
ya = য 
yya = য্য 
Ya = য্য
Da= ড়
Dha = ঢ়
Xa= ক্ষ  (KSA)
^ =  ং //Anuswara
t~ = KHANDA TA

M is  already mapped for ম্ম , So please suggest anything else for BENGALI ISSHAR  ৺
Comment 11 wikichaipau 2011-10-19 10:46:35 UTC
(In reply to comment #10)
> 

> 
> In r100215 , Following changes are done
> 
> ha = হ 
> ya = য 
> yya = য্য 
> Ya = য্য
> Da= ড়
> Dha = ঢ়
> Xa= ক্ষ  (KSA)
> ^ =  ং //Anuswara
> t~ = KHANDA TA
> 
> M is  already mapped for ম্ম , So please suggest anything else for BENGALI
> ISSHAR  ৺

you could probably use * for isshar, if not used for chandrabindu.  else @.

i would like to recommend the following changes:

Ja = জ
za = য 
Ja or jha = ঝ
khya = ক্ষ 
ya = য়

that would bring it closer to Assamese phonetics.  are their technical difficulties/conflicts  in implementing these?
Comment 12 wikichaipau 2011-10-19 10:52:31 UTC
(In reply to comment #11)

> Ja = জ

should be

ja = জ
Comment 13 Santhosh Thottingal 2011-10-19 12:18:46 UTC
(In reply to comment #11)
> you could probably use * for isshar, if not used for chandrabindu.  else @.

I think this require a second confirmation from your side - * and @ are frequently used latin letters, If you map it them to Assamese, that means, for typing those symbols, you have to switch your keyboard, which I dont think a transliteration based keyboard should do.

 
> i would like to recommend the following changes:
> 
> Ja = জ

you corrected this in other comment as ja = জ But that is how it is already done.

> za = য 

ok, I can change this. য  is currently mapped to ya. So you want to change that to za and change ya to য় (YYA)

> Ja or jha = ঝ

Ja is already mapped to জ্ঝ
jha is already mapped to ঝ

> khya = ক্ষ 

ক্ষ  is KA + VIRAMA+ SSA  - KSSA ,  Are you sure that it is phonetically near to khya?
Currently to type ক্ষ , ksha is the sequence.

> ya = য়
> 
> that would bring it closer to Assamese phonetics.  are their technical
> difficulties/conflicts  in implementing these?

I see the above conflicts(from what is already present or in the phonetic similarity) in your suggestions, so I would like to get a second opinion from community before making the above changes. More eyes will help in better keymap :)

I also request community to try the mapping at translatewiki.net first.
Comment 14 wikichaipau 2011-10-19 14:45:41 UTC
(In reply to comment #13)
> (In reply to comment #11)
> > you could probably use * for isshar, if not used for chandrabindu.  else @.
> 
> I think this require a second confirmation from your side - * and @ are
> frequently used latin letters, If you map it them to Assamese, that means, for
> typing those symbols, you have to switch your keyboard, which I dont think a
> transliteration based keyboard should do.
> 

OK.  We should wait for the rest of the community to weigh in.  alternatively see my note below.

> 
> > khya = ক্ষ 
> 
> ক্ষ  is KA + VIRAMA+ SSA  - KSSA ,  Are you sure that it is phonetically near
> to khya?
> Currently to type ক্ষ , ksha is the sequence.

yes, i am sure.  even though it is a compound letter in Bengali and Hindi, it is an individual letter in assamese pronounced khya. (http://www.omniglot.com/writing/assamese.htm)

also there are three letters for which you should phonetically use "x".  they are শ, ষ, স (phonetically they are voiceless velar fricatives https://secure.wikimedia.org/wikipedia/en/wiki/Voiceless_velar_fricative).  i would then recommend the following.

x = শ
X = ষ
s = স
c = চ
C = ছ
S = ৺ (ISHHAR)




> 
> > ya = য়
> > 
> > that would bring it closer to Assamese phonetics.  are their technical
> > difficulties/conflicts  in implementing these?
> 
> I see the above conflicts(from what is already present or in the phonetic
> similarity) in your suggestions, so I would like to get a second opinion from
> community before making the above changes. More eyes will help in better keymap
> :)
> 
> I also request community to try the mapping at translatewiki.net first.

Could you please set up a page in translatewiki.net with the current mapping (in the format that best suits you), so we may comment and converge?

Thanks,
Comment 15 Junaid 2011-10-19 15:15:43 UTC
As Santhosh pointed out, it is better you prepare a table for this mappings. See existing table for Malayalam and Sanskrit:

* http://commons.wikimedia.org/wiki/Image:Lipi_ml.png
* http://sa.wikipedia.org/wiki/%E0%A4%9A%E0%A4%BF%E0%A4%A4%E0%A5%8D%E0%A4%B0%E0%A4%AE%E0%A5%8D:Sa_transliteration_keymap.png
Comment 16 wikichaipau 2011-10-19 19:48:14 UTC
(In reply to comment #15)
> As Santhosh pointed out, it is better you prepare a table for this mappings.
> See existing table for Malayalam and Sanskrit:
> 
> * http://commons.wikimedia.org/wiki/Image:Lipi_ml.png
> *
> http://sa.wikipedia.org/wiki/%E0%A4%9A%E0%A4%BF%E0%A4%A4%E0%A5%8D%E0%A4%B0%E0%A4%AE%E0%A5%8D:Sa_transliteration_keymap.png


i have created a page here:
https://translatewiki.net/wiki/User:Chaipau/translit
Comment 17 wikichaipau 2011-10-31 15:44:45 UTC
The Assamese community worked on the transliteration scheme for the Assamese keyboard, and we have come up with the following:

https://translatewiki.net/wiki/User:Chaipau/translit

I think we can begin with this and sort out inconsistencies as they arise.

Thank you,
Comment 18 Santhosh Thottingal 2011-12-16 14:49:22 UTC
Closing this bug since reported issue addressed. Please open separate bug report if you need any improvements on this.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links